<?php

namespace App\Http\Requests\Patient;

use Illuminate\Foundation\Http\FormRequest;

class PatientRequest extends FormRequest
{
    /**
     * Determine if the user is authorized to make this request.
     *
     * @return bool
     */
    public function authorize()
    {
        return true;
    }

    /**
     * Get the validation rules that apply to the request.
     *
     * @return array
     */
    public function rules()
    {
        return [
            'first_name'=>'required',
            'last_name'=>'required',
            'email'=>'required|unique:patients',
            'date_of_birth'=>'required',
            'address'=>'required',
            'phone'=>'required',
            'gender'=>'required',
            'insurence_company'=>'required',
            'physician_id'=>'required',
            'qty_id'=>'required',
            'diagnonsis_id'=>'required',
        ];
    }
}
